Subject: Re: bug#6143: 6143 ispell not fixed

From: Agustin Martin <[email-masked]>
Date: Thu, 2 Sep 2010 14:47:47 +0200

On Thu, Jul 29, 2010 at 03:07:35PM +0200, Stefan Monnier wrote:
> > If this is considered too noisy and leaving unused ispell processes
> > behind not a problem I think the way to go is to always use "~/" as
> > ispell process directory, so problem with removable media that used
> > the kill-on-kill gets also fixed. Better if there is a not too
> 
> That's the way I would prefer: leaving an ispell process running is not
> a big deal, especially if it comes with some kind of timeout (so it
> does get killed if it's unused for more than N minutes).
> 
> Regarding support for directory-specific dictionaries, I have no strong
> opinion on this, except that I'd rather not have to pay for it in the
> case where I don't use it (as is my case, and I expect many people's
> case as well).

I have just commited a change that should use "~/" as default-directory
unless Ispell per-directory personal dicts are used and not in a minibuffer
under XEmacs. kill-on-exit is no longer done if ispell-process directory is
"~/", so I expect this to achieve the best of both worlds.

diff looks large because of re-indenting (a new let* is added), but changes
are smaller.

Hope this is a better approach to the problem. Will wait for further testing
(cross fingers) before closing the bug report.

Thanks all for the feedback.

-- 
Agustin